package com.bonus.canteen.core.report.datascreen.dto.v2;

import com.bonus.canteen.core.report.datascreen.vo.DsAuthorityCanteenVO;
import io.swagger.annotations.ApiModelProperty;
import java.time.LocalDate;
import java.util.List;

public class DataScreenBaseDTO {
   @ApiModelProperty("食堂档口权限集合")
   List<DsAuthorityCanteenVO> canteenList;
   @ApiModelProperty("开始时间")
   private LocalDate startDate;
   @ApiModelProperty("结束时间")
   private LocalDate endDate;

   public List<DsAuthorityCanteenVO> getCanteenList() {
      return this.canteenList;
   }

   public LocalDate getStartDate() {
      return this.startDate;
   }

   public LocalDate getEndDate() {
      return this.endDate;
   }

   public DataScreenBaseDTO setCanteenList(final List<DsAuthorityCanteenVO> canteenList) {
      this.canteenList = canteenList;
      return this;
   }

   public DataScreenBaseDTO setStartDate(final LocalDate startDate) {
      this.startDate = startDate;
      return this;
   }

   public DataScreenBaseDTO setEndDate(final LocalDate endDate) {
      this.endDate = endDate;
      return this;
   }
}
